## odc 1.5.0

=== docs/requirements.txt ===
sphinx
sphinx-rtd-theme==0.5.2
sphinx-copybutton==0.3.1
sphinx-tabs
breathe
six
sphinx-fortran
