=== debian/control ===
Source: odc
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (=13),
 dh-fortran-mod (>= 0.31),
 architecture-is-64-bit,
 ecbuild (>= 3.3.0-3),
 libeckit-dev (>= 1.4.6-1~),
 patchelf
Standards-Version: 4.6.2
Homepage: https://github.com/ecmwf/odc
Vcs-Browser: https://salsa.debian.org:/science-team/odc.git
Vcs-Git: https://salsa.debian.org:/science-team/odc.git -b debian/latest

Package: libodc-0d
Section: libs
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Observational Database Access library for ECMWF
 ODC is software developed at ECMWF for encoding and processing of
 observational data. It includes a SQL filtering and statistics engine, 
 command line tools and APIs for C/C++ and Fortran.

Package: odc
Architecture: any
Multi-Arch: foreign
Depends: libodc-0d ( = ${binary:Version}), 
  ${shlibs:Depends}, ${misc:Depends}
Recommends: libodc-dev (= ${binary:Version})
Description: Tools for the Observational Data Processing (ODB) 
 ODC is software developed at ECMWF for encoding and processing o
 observational data. It includes a SQL filtering and statistics engine, 
 command line tools and APIs for C/C++ and Fortran.
 .
 This package provides tools for ODB handling.

Package: libodc-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libodc-0d (= ${binary:Version}), odc (= ${binary:Version}), 
  ${misc:Depends}, mpi-default-dev, libeckit-dev, ${fortran:Depends}
Conflicts: libodb-dev
Recommends: pkg-config, ${fortran:Recommends}
Description: Observational Data processing for meteorology
 ODC is a software developed at ECMWF for encoding and processing of
 observational data. It includes a SQL filtering and statistics engine, 
 command line tools and APIs for C/C++, Fortran and Python.
 .
 This package provides shared libraries and headers.
