## odc 1.5.2

=== debian/changelog ===
odc (1.5.2-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 18 Apr 2024 07:16:14 +0100

odc (1.5.1-1) unstable; urgency=medium

  * New upstream release
  * Now recommend pkgconf, not pkg-config

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Mar 2024 06:35:53 +0000
