=== debian/control ===
--- 
+++ 
@@ -43,7 +43,7 @@
 Depends: libodc-0d (= ${binary:Version}), odc (= ${binary:Version}), 
   ${misc:Depends}, mpi-default-dev, libeckit-dev, ${fortran:Depends}
 Conflicts: libodb-dev
-Recommends: pkg-config, ${fortran:Recommends}
+Recommends: pkgconf, ${fortran:Recommends}
 Description: Observational Data processing for meteorology
  ODC is a software developed at ECMWF for encoding and processing of
  observational data. It includes a SQL filtering and statistics engine,
