=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: odc
 Section: utils
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (=13),
  dh-fortran-mod (>= 0.31),
  architecture-is-64-bit,
  ecbuild (>= 3.3.0-3),
  libeckit-dev (>= 1.4.6-1~),
  patchelf
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ecmwf/odc
-Vcs-Browser: https://salsa.debian.org:/science-team/odc.git
-Vcs-Git: https://salsa.debian.org:/science-team/odc.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/science-team/odc.git
+Vcs-Git: https://salsa.debian.org/science-team/odc.git -b debian/latest
 
 Package: libodc-0d
 Section: libs
