## odc 1.6.1

=== debian/changelog ===
odc (1.6.1-2) unstable; urgency=medium

  * Push to unstable
  * B-D on eckit >= 1.31 . Closes: #1103637

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Aug 2025 08:37:50 +0100

odc (1.6.1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 May 2025 17:11:31 +0100

odc (1.6.0-2) experimental; urgency=medium

  * Depend on eckit >= 1.29.1. Closes: #1103223
  * Standards-Version: 4.7.2

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Apr 2025 11:44:39 +0100
