=== docs/requirements.txt ===
sphinx
sphinx-rtd-theme
sphinx-copybutton
sphinx-tabs
breathe
six
sphinx-fortran
