=== debian/changelog ===
odc (1.6.2-2) unstable; urgency=medium

  * Change cmake script to use -gnu version of libfodc

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 10:31:45 +0100

odc (1.6.2-1) unstable; urgency=medium

  * New upstream release
  * Move d/watch to version 4
  * Remove old FSF address from d/copyright
  * cross.patch: Drop checks that break cross-building. Thanks to
    Helmut Grohe. Closes: #1063339
  * Use dh_fortran_lib for Fortran libraries

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Oct 2025 08:40:35 +0100
