=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  dh-fortran-mod (>= 0.31),
  architecture-is-64-bit,
  ecbuild (>= 3.3.0-3),
- libeckit-dev (>= 1.4.6-1~),
+ libeckit-dev (>= 1.31.1-1~),
  patchelf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ecmwf/odc
 Vcs-Browser: https://salsa.debian.org/science-team/odc.git
 Vcs-Git: https://salsa.debian.org/science-team/odc.git -b debian/latest
