=== debian/watch ===
version=4
https://github.com/ecmwf/odc/tags .*/v?(\d.*)@ARCHIVE_EXT@
