## odc 1.6.3

=== debian/changelog ===
odc (1.6.3-1) unstable; urgency=medium

  * New upstream release
  * Avoid leading / in paths
  * http->https in d/copyright
  * Cleanup d/control via cme
  * Add headers to patches

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Feb 2026 05:53:28 +0000

odc (1.6.2-3) unstable; urgency=medium

  * Move B-D from dh-fortran-mod to dh-fortran
  * Standards-Version: 4.7.3
  * Drop .git from vcs-browser
  * Drop priority: optional
  * Add d/salsa-ci.yml
  * Add gbp.conf; use pristine-tar

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Feb 2026 08:46:27 +0000
