=== debian/control ===
Source: odc
Standards-Version: 4.7.3
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Alastair McKinstry <mckinstry@debian.org>,
Section: utils
Build-Depends:
 debhelper-compat (=13),
 dh-fortran,
 architecture-is-64-bit,
 ecbuild,
 libeckit-dev (>= 1.31.1-1~),
 patchelf,
Vcs-Browser: https://salsa.debian.org/science-team/odc
Vcs-Git: https://salsa.debian.org/science-team/odc.git -b debian/latest
Homepage: https://github.com/ecmwf/odc

Package: libodc-0d
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Observational Database Access library for ECMWF
 ODC is software developed at ECMWF for encoding and processing of
 observational data. It includes a SQL filtering and statistics engine, 
 command line tools and APIs for C/C++ and Fortran.

Package: odc
Architecture: any
Multi-Arch: foreign
Depends:
 libodc-0d ( = ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libodc-dev (= ${binary:Version}),
Description: Tools for the Observational Data Processing (ODB)
 ODC is software developed at ECMWF for encoding and processing o
 observational data. It includes a SQL filtering and statistics engine, 
 command line tools and APIs for C/C++ and Fortran.
 .
 This package provides tools for ODB handling.

Package: libodc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libodc-0d (= ${binary:Version}),
 odc (= ${binary:Version}),
 ${misc:Depends},
 mpi-default-dev,
 libeckit-dev,
 ${fortran:Depends},
Recommends:
 pkgconf,
 ${fortran:Recommends},
Conflicts:
 libodb-dev,
Description: Observational Data processing for meteorology
 ODC is a software developed at ECMWF for encoding and processing of
 observational data. It includes a SQL filtering and statistics engine, 
 command line tools and APIs for C/C++, Fortran and Python.
 .
 This package provides shared libraries and headers.
